const clsPlayer = require('./clsPlayer').clsPlayer;
let player = new clsPlayer();
const bass = require('./basswrapper').basswrapper;
let basslib = new bass();
let rootPath=process.cwd();
let path=require('path');
let song = path.join(rootPath, 'files','fb8791ae-12ab-4be4-b533-67a721596910.mp3');
let init = player.initSoundCard(-1, player.bassAttributes.BASS_SAMPLE_DEFAULT);
let mixer = player.createMixer(2, player.bassAttributes.BASS_SAMPLE_FLOAT);
let chan = basslib.BASS_StreamCreateFile(false, song, 0, 0, player.bassAttributes.BASS_STREAM_DECODE | player.bassAttributes.BASS_SAMPLE_FLOAT);
let q = player.mixer = mixer;
let add = player.addChannelToMixer(chan, player.bassAttributes.BASS_DEVICE_STEREO);
let err = player.getError();
player.PlayFadeIn(100, 10000, chan);

setInterval(()=>{}, 100);
